<!-- Displays detailed info & comments on one team's performance at one match. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/detailed.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

        <!-- Delete these line breaks when the CSS is fixed so that stuff isn't hidden by the top bar -->
        <br><br><br><br><br><br><br>

    <div class = "buttons"> 
        <a href="{% url 'scouting:indexTeamAllIR' m.Team.id %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Team</a>
    </div> 

{% if m %}
    <h1 class = "team-header"> <a href = "{% url 'scouting:indexTeamAllIR' m.Team.id %}" >Team {{m.Team}}</a></h1>
    <h2 class = "match-header"><u><a href = "{% url 'scouting:indexSingleMatchIR' m.Competition.id m.MatchNum %}" >Match {{m.MatchNum}}</a></u>, {{ m.Competition }} 2019 </h2>

    <div class = "info"> 
        <p class = "line"><b> <span class = "grey-text"> Scouter:</b> </span> {{m.Scouter}}</p>
        <p class = "line"><b> <span class = "grey-text"> Initiation Line:</span></b>  {{m.Initiation_Line}}</p>
        <p class = "line"><b> <span class = "grey-text"> Direction:</b> </span> {{m.Direction}}</p>
        <p class = "line"><b> <span class = "grey-text"> Lower Port Auto:</b> </span> {{m.Lower_Port_Auto}}</p>
        <p class = "line"><b> <span class = "grey-text"> Outer Port Auto:</b> </span> {{m.Outer_Port_Auto}}</p>
        <p class = "line"><b> <span class = "grey-text"> Inner Port Auto:</b> </span> {{m.Inner_Port_Auto}}</p>
        <br>
        <p class = "line"><b> <span class = "grey-text"> Lower Port:</b> </span> {{m.Lower_Port}}</p>
        <p class = "line"><b> <span class = "grey-text"> Outer Port:</b> </span> {{m.Outer_Port}}</p>
        <p class = "line"><b> <span class = "grey-text"> Inner Port:</b> </span> {{m.Inner_Port}}</p>
        <p class = "line"><b> <span class = "grey-text"> Control Panel Position:</b> </span> {{m.CP_Position}}</p>
        <p class = "line"><b> <span class = "grey-text"> Control Panel Rotation:</b> </span> {{m.CP_Rotation}}</p>
        
        <p class = "line"><b> <span class = "grey-text"> Climbing:</b> </span> {{m.Climb}}</p>
        <p class = "line"><b> <span class = "grey-text"> Level?:</b> </span> {{m.DidLevel}}</p>
        <br>
        <p class = "line"><b> <span class = "grey-text"> Comments:</b> </span> {{m.Comments}}</p>
    </div>
    
    <a href="{% url 'scouting:updateformIR' m.id %}" class = "edit"> <i class="fas fa-edit"></i> Edit Match <br></a>
    <a href="{% url 'scouting:deleteformIR' m.id %}" class = "edit"> <i class="fas fa-trash"></i> Delete Match</a>
    
{% else %}
    <p>No data is available, or there has been an error. Contact programming if this message appears after adding data.
    
    Super-special programming magic spell: The match has been deleted or does not exist.</p>
{% endif %}


    
{% endblock %}
